Update the existing promotions for this location.
Body·
required
Cancellation token to cancel the operation.
- Type: null | stringFormat: date-timebusiness
Date - Type: null | stringchangeset
Name - Type: booleanis
Immediate Publish - Type:promotions
Collection Collection of promotions. Each item represents a promotion and its schema varies based on the type discriminator. During creation, only Bogo, GiftCard, Coupon, and OrderReduction promotion types are supported. During updates, all promotion types are allowed.
Responses
- application/json
Request Example for put/v1/promotions
curl https://apiint.api.parpos.com/settings/v1/promotions \
--request PUT \
--header 'Content-Type: application/json' \
--header 'parpos-access-token: YOUR_SECRET_TOKEN' \
--header 'parpos-location-token: YOUR_SECRET_TOKEN' \
--data '{
"PromotionsCollection": [
{
"type": "BogoPromotion",
"Amount": 25,
"AutomaticallyApply": false,
"CanSpanMultipleSeats": false,
"FreeItemType": 0,
"PricingMethod": 0,
"DiscountedItemGroupId": 100,
"DiscountedItemIds": [
{
"ItemId": 200,
"Id": 2001
}
],
"AllowLaterOrderReductions": false,
"AllowPriorItemPromotions": false,
"AllowPriorOrderReductions": false,
"AllowPriorModifierPromotions": false,
"Priority": 0,
"CustomFields": [],
"EnforceDateRange": false,
"EnforceDays": false,
"EnforceMaximumAmount": false,
"EnforceMaximumPerOrder": false,
"EnforceTimeRange": false,
"IsActive": true,
"IsApprovalNeeded": false,
"IsCodeRequired": false,
"LimitDestinations": false,
"LimitSections": false,
"LimitTerminals": false,
"Qualifications": [
{
"Amount": 2,
"ItemGroupId": 100,
"Items": [
{
"ItemId": 200,
"Id": 1001
}
],
"Type": 0,
"Id": 100
}
],
"Qualify": false,
"RequireSingleUseCode": false,
"ValidDestinations": [
{
"DestinationId": 1,
"Id": 10001
}
],
"ValidSections": [
{
"SectionId": 1,
"Id": 10001
}
],
"ValidTerminalTypes": 0,
"Name": "BOGO - Buy One Get One",
"Id": 4004382
}
],
"BusinessDate": "2026-05-07T06:24:54.1862911+00:00",
"IsImmediatePublish": false,
"ChangesetName": "UpdatePromotions"
}'
No Body
